/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * HomeQuotesRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class HomeQuotesRequest {
  @SerializedName("context")
  private Model211 context = null;

  @SerializedName("product_criteria")
  private Model213 productCriteria = null;

  @SerializedName("customer")
  private Customer customer = null;

  @SerializedName("accommodation")
  private Accommodation accommodation = null;

  @SerializedName("device")
  private Device device = null;

  public HomeQuotesRequest context(Model211 context) {
    this.context = context;
    return this;
  }

   /**
   * Get context
   * @return context
  **/
  @ApiModelProperty(required = true, value = "")
  public Model211 getContext() {
    return context;
  }

  public void setContext(Model211 context) {
    this.context = context;
  }

  public HomeQuotesRequest productCriteria(Model213 productCriteria) {
    this.productCriteria = productCriteria;
    return this;
  }

   /**
   * Get productCriteria
   * @return productCriteria
  **/
  @ApiModelProperty(required = true, value = "")
  public Model213 getProductCriteria() {
    return productCriteria;
  }

  public void setProductCriteria(Model213 productCriteria) {
    this.productCriteria = productCriteria;
  }

  public HomeQuotesRequest customer(Customer customer) {
    this.customer = customer;
    return this;
  }

   /**
   * Get customer
   * @return customer
  **/
  @ApiModelProperty(value = "")
  public Customer getCustomer() {
    return customer;
  }

  public void setCustomer(Customer customer) {
    this.customer = customer;
  }

  public HomeQuotesRequest accommodation(Accommodation accommodation) {
    this.accommodation = accommodation;
    return this;
  }

   /**
   * Get accommodation
   * @return accommodation
  **/
  @ApiModelProperty(required = true, value = "")
  public Accommodation getAccommodation() {
    return accommodation;
  }

  public void setAccommodation(Accommodation accommodation) {
    this.accommodation = accommodation;
  }

  public HomeQuotesRequest device(Device device) {
    this.device = device;
    return this;
  }

   /**
   * Get device
   * @return device
  **/
  @ApiModelProperty(required = true, value = "")
  public Device getDevice() {
    return device;
  }

  public void setDevice(Device device) {
    this.device = device;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HomeQuotesRequest homeQuotesRequest = (HomeQuotesRequest) o;
    return Objects.equals(this.context, homeQuotesRequest.context) &&
        Objects.equals(this.productCriteria, homeQuotesRequest.productCriteria) &&
        Objects.equals(this.customer, homeQuotesRequest.customer) &&
        Objects.equals(this.accommodation, homeQuotesRequest.accommodation) &&
        Objects.equals(this.device, homeQuotesRequest.device);
  }

  @Override
  public int hashCode() {
    return Objects.hash(context, productCriteria, customer, accommodation, device);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HomeQuotesRequest {\n");
    
    sb.append("    context: ").append(toIndentedString(context)).append("\n");
    sb.append("    productCriteria: ").append(toIndentedString(productCriteria)).append("\n");
    sb.append("    customer: ").append(toIndentedString(customer)).append("\n");
    sb.append("    accommodation: ").append(toIndentedString(accommodation)).append("\n");
    sb.append("    device: ").append(toIndentedString(device)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

